VocalDocscontracts 1.65.0

Contracts 1.49.0

First served on the Phase 0 host by deploy #55 (2026-10-18).

The public document of 1.49.0 lists 82 operations, 9 of them added in this release and still in 1.65.0.

Operations added

OperationSummaryScopeReleased inPhase 0 host
POST /v1/calls/{call_id}/controlSend a control command to the live Session of a Callcalls:write1.49.0served
GET /v1/calls/{call_id}/streamOpen the events channel of a Callcalls:write1.49.0served
POST /v1/tool-signing-secret/rotateRotate the Organization's tool signing secrettools:write1.49.0served
GET /v1/toolsList Toolstools:read1.49.0served
POST /v1/toolsCreate a Tooltools:write1.49.0served
GET /v1/tools/{tool_id}Read a Tooltools:read1.49.0served
PATCH /v1/tools/{tool_id}Update a Tooltools:write1.49.0served
DELETE /v1/tools/{tool_id}Archive a Tooltools:write1.49.0served
POST /v1/tools/{tool_id}/testSend one real request of an http Tooltools:write1.49.0served

Error codes added

session_unreachable, stream_limit_reached, tool_archived

Call event types added

call.escalated, tool.completed, tool.invoked

Scopes added

tools:read, tools:write